Skip to main content

List pending terms

GET 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/terms-pending

Since: 2.75.1

Required permission(s): AccessControl.ConsentView,AccessControl.TermsView

Gets all the pending terms for a user.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123

Query Parameters

    continuationToken string

    Pagination continuation token from a previous response.

    limit int32

    Default value: 0

    Maximum number of results to return.

    Example: 100

Responses

Pending terms retrieved successfully

Schema
    items object[]
  • Array [
  • created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The external ID of the terms object.

    name string

    The name of the terms object.

    active boolean

    Determines whether the terms are active or not.

    silentAcceptance boolean

    Determines whether the terms are accepted silently or not.

    termsVersion string

    The version of the terms.

    urls object

    URLs pointing to the actual terms and conditions pages, keyed by language.

    property name* string
    applicationExtIds string[]

    External IDs of the applications to which the terms are assigned.

  • ]
  • _pagination object
    continuationToken string

    The continuation token for fetching the next page of results generated from creation date and external id of the last entity

    limit int32

    The maximum number of results returned in a single page

    totalResult int64

    The total number of results available, only supported for selected endpoints, if returnTotalResultCount query-parameter is true

    _classifications object
    property name* string[]
  • Array [
  • string

  • ]
Loading...